#region License
// Copyright (c) 2007 James Newton-King
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using Utilities.Miscellaneous;
using System.Xml;
using Utilities.Testing;
using Utilities.Xml;

namespace Utilities.Test.Xml
{
  public class XslUtilsFixture : TestFixtureBase
  {
    private XmlDocument _doc;
    private XmlDocument _xsl;

    public override void FixtureSetup()
    {
      _doc = new XmlDocument();
      _doc.LoadXml(@"<html>
  <body>
    <h1>Books</h1>
    <div id=""books"">
      ABC
    </div>
    <div id=""footer"">
      2007
    </div>
  </body>
</html>");

      _xsl = new XmlDocument();
      _xsl.LoadXml(@"<?xml version=""1.0"" encoding=""UTF-8"" ?>
<xsl:stylesheet version=""1.0"" xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"">
  <xsl:template match=""/"">
    <div id=""books"">
      Muffins
    </div>
  </xsl:template>
</xsl:stylesheet>");
    }

//    [Test]
//    public void TransformNavigable()
//    {
//      for (int i = 0; i < 100; i++)
//      {
//        XmlDocument tempDoc = (XmlDocument)_doc.CloneNode(true);

//        XslUtils.TransformNavigable(tempDoc.SelectSingleNode("html/body/div[@id='books']"), new XmlNodeReader(_xsl));

//        string expected = @"<html><body><h1>Books</h1><div id=""books""><p><h2>Advanced Programming in the Unix environment</h2></p><p><h2>Data on the Web</h2></p><p><h2>The Economics of Technology and Content for Digital TV</h2></p></div><div id=""footer"">
//      2007
//    </div></body></html>";

//        Assert.AreEqual(expected, tempDoc.InnerXml);
//      }
//    }
  }
}